com.aliyun.svideosdk.mixrecorder

## Class AliyunMixOutputParam

- java.lang.Object
- - com.aliyun.svideosdk.mixrecorder.AliyunMixOutputParam

-     public class AliyunMixOutputParam
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AliyunMixOutputParam.Builder` `AliyunMixOutputParam` 内部构建对象

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBitrate()` 获取输出的码率，单位：kbps
    `int` | `getCrf()` 获取的crf
    `int` | `getFps()` 获取输出的编码帧率
    `int` | `getGopSize()` 获取输出的GOP大小
    `AliyunMixTrack` | `getOutputAudioReferenceTrack()` 获取合成输出的主音频频轨道
    `AliyunMixTrack` | `getOutputDurationReferenceTrack()` 获取合成输出的主视频轨道
    `int` | `getOutputHeight()` 获取输出高度，单位：像素
    `java.lang.String` | `getOutputPath()` 获取输出路径
    `int` | `getOutputWidth()` 获取输出宽度，单位：像素
    `VideoQuality` | `getVideoQuality()` 获取输出视频的质量等级(`VideoQuality`)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getOutputPath

          public java.lang.String getOutputPath()

      获取输出路径
      Returns:
        输出路径

    - #### getOutputDurationReferenceTrack

          public AliyunMixTrack getOutputDurationReferenceTrack()

      获取合成输出的主视频轨道
      Returns:
        合成输出的主视频轨道

    - #### getOutputAudioReferenceTrack

          public AliyunMixTrack getOutputAudioReferenceTrack()

      获取合成输出的主音频频轨道
      Returns:
        主音频频轨道

    - #### getOutputWidth

          public int getOutputWidth()

      获取输出宽度，单位：像素
      Returns:
        输出宽度，单位：像素

    - #### getOutputHeight

          public int getOutputHeight()

      获取输出高度，单位：像素
      Returns:
        输出高度，单位：像素

    - #### getCrf

          public int getCrf()

      获取的crf
      Returns:
        crf

    - #### getBitrate

          public int getBitrate()

      获取输出的码率，单位：kbps
      Returns:
        输出码率

    - #### getVideoQuality

          public VideoQuality getVideoQuality()

      获取输出视频的质量等级(`VideoQuality`)
      Returns:
        视频质量

    - #### getFps

          public int getFps()

      获取输出的编码帧率
      Returns:
        fps 帧率

    - #### getGopSize

          public int getGopSize()

      获取输出的GOP大小
      Returns:
        gop大小